# Generated from minitest-shared_description-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name minitest-shared_description

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Support for shared specs and shared spec subclasses for Minitest
License: MIT
URL: http://github.com/jeremyevans/minitest-shared_description
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) > 5
BuildArch: noarch

%description
minitest-shared_description adds support for shared specs and shared spec
subclasses
to Minitest.  Minitest supports shared specs by default using plain ruby
modules, but
does not support shared spec subclasses.  In addition to making it possible to
share
subclasses, minitest-shared_desciption also provides a slightly nicer
interface for
sharing specs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.0-1
- Initial package
